superset-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [incubator-superset] prb219 opened a new issue #10305: ConnectionRefusedError seen while creating a chart in Superset UI
Date Mon, 13 Jul 2020 22:54:08 GMT

prb219 opened a new issue #10305:
URL: https://github.com/apache/incubator-superset/issues/10305


   Hi Everyone, 
   
   I am facing and Issue while trying to create a chart on the Superset UI using a Druid data
source. Can someone point 
   
   Superset version in use: 0.36.0
   
   ### Expected results
   
   Expected to successfully create a chart by querying Druid
   
   ### Actual results
   
   I see a Connection refused instead. 
   
   #### Screenshots
   
   `Traceback (most recent call last):
     File "/appvenv/lib/python3.6/site-packages/urllib3/connection.py", line 160, in _new_conn
       (self._dns_host, self.port), self.timeout, **extra_kw
     File "/appvenv/lib/python3.6/site-packages/urllib3/util/connection.py", line 84, in create_connection
       raise err
     File "/appvenv/lib/python3.6/site-packages/urllib3/util/connection.py", line 74, in create_connection
       sock.connect(sa)
   ConnectionRefusedError: [Errno 111] Connection refused
   
   During handling of the above exception, another exception occurred:
   
   Traceback (most recent call last):
     File "/appvenv/lib/python3.6/site-packages/urllib3/connectionpool.py", line 677, in urlopen
       chunked=chunked,
     File "/appvenv/lib/python3.6/site-packages/urllib3/connectionpool.py", line 392, in _make_request
       conn.request(method, url, **httplib_request_kw)
     File "/usr/lib64/python3.6/http/client.py", line 1254, in request
       self._send_request(method, url, body, headers, encode_chunked)
     File "/usr/lib64/python3.6/http/client.py", line 1300, in _send_request
       self.endheaders(body, encode_chunked=encode_chunked)
     File "/usr/lib64/python3.6/http/client.py", line 1249, in endheaders
       self._send_output(message_body, encode_chunked=encode_chunked)
     File "/usr/lib64/python3.6/http/client.py", line 1036, in _send_output
       self.send(msg)
     File "/usr/lib64/python3.6/http/client.py", line 974, in send
       self.connect()
     File "/appvenv/lib/python3.6/site-packages/urllib3/connection.py", line 187, in connect
       conn = self._new_conn()
     File "/appvenv/lib/python3.6/site-packages/urllib3/connection.py", line 172, in _new_conn
       self, "Failed to establish a new connection: %s" % e
   urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at
0x7f8cbb8955c0>: Failed to establish a new connection: [Errno 111] Connection refused
   
   During handling of the above exception, another exception occurred:
   
   Traceback (most recent call last):
     File "/appvenv/lib/python3.6/site-packages/requests/adapters.py", line 449, in send
       timeout=timeout
     File "/appvenv/lib/python3.6/site-packages/urllib3/connectionpool.py", line 725, in urlopen
       method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
     File "/appvenv/lib/python3.6/site-packages/urllib3/util/retry.py", line 439, in increment
       raise MaxRetryError(_pool, url, error or ResponseError(cause))`
   
   #### How to reproduce the bug
   
   1. Go to '...'
   2. Click on '....'
   3. Scroll down to '....'
   4. See error
   
   ### Environment
   
   (please complete the following information):
   
   - superset version: 0.36.0
   - python version: Python 3.6.8
   
   ### Checklist
   
   Make sure these boxes are checked before submitting your issue - thank you!
   
   - [Y ] I have checked the superset logs for python stacktraces and included it here as
text if there are any.
   - [ Y] I have reproduced the issue with at least the latest released version of superset.
   - [ ]Y I have checked the issue tracker for the same issue and I haven't found one similar.
   
   ### Additional context
   
   Add any other context about the problem here.
   


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: notifications-unsubscribe@superset.apache.org
For additional commands, e-mail: notifications-help@superset.apache.org


Mime
View raw message